<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>iTunesSpy (mostplayed test)</title>
    <style type="text/css">
		<!--
		@import url("<?php echo($its_pages_folder); ?>style.css");
		-->
    </style>
</head>
<body>
	<div id="head">
		<h1>iTunesSpy <span>(mostplayed test)</span></h1>
	</div>
	<div class="wrap">
	
	<!-- necessary declarations -->
	<?php 
		if (class_exists('wp_iTunesSpy')) {
			$iTunesSpy = new wp_iTunesSpy();
	?>
	
	<!-- sample 1 - get the 5 most played tracks from the entire db -->
	<h2>get the 5 most played tracks from the entire db</h2>
	<ul>
	<?php
		$Out = ''; //Clear the variable
		$tracks = $iTunesSpy->getMostPlayedTracks(5);
		if ($tracks) {
			foreach ($tracks as $track) {					
				$Out .= '<li>';
				
				$schema = '';  //Clear the variable
				$schema .= '%art%';
				$schema .= '<ul>';
				$schema .= '<li>title: %title%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>count: %count%</li>';
				
				$schema .= '</ul>';
				$schema .= '</li>';
				
				$Out .= $iTunesSpy->getTrackInfoEx($track->id, '', '', $schema);
			}
			echo $Out;
		} else {
			_e('There are no tracks saved in the database!', 'wp-itunesspy');
		}
	?>
	</ul>
	<!-- end sample 1 -->
	
	<!-- sample 2 - get the 5 most played tracks for today -->
	<h2>get the 5 most played tracks for today</h2>
	<ul>
	<?php
		$Out = ''; //Clear the variable
		$tracks = $iTunesSpy->getMostPlayedTracks(5, 'today');
		if ($tracks) {
			foreach ($tracks as $track) {					
				$Out .= '<li>';
				
				$schema = '';  //Clear the variable
				$schema .= '%art%';
				$schema .= '<ul>';
				$schema .= '<li>title: %title%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>count: %count%</li>';
				
				$schema .= '</ul>';
				$schema .= '</li>';
				
				$Out .= $iTunesSpy->getTrackInfoEx($track->id, '', '', $schema);
			}
			echo $Out;
		} else {
			_e('There are no tracks saved in the database!', 'wp-itunesspy');
		}
	?>
	</ul>
	<!-- end sample 2 -->
	
	<!-- sample 3 - get the 5 most played tracks for this month -->
	<h2>get the 5 most played tracks for this month</h2>
	<ul>
	<?php
		$Out = ''; //Clear the variable
		$tracks = $iTunesSpy->getMostPlayedTracks(5, 'month');
		if ($tracks) {
			foreach ($tracks as $track) {					
				$Out .= '<li>';
				
				$schema = '';  //Clear the variable
				$schema .= '%art%';
				$schema .= '<ul>';
				$schema .= '<li>title: %title%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>count: %count%</li>';
				
				$schema .= '</ul>';
				$schema .= '</li>';
				
				$Out .= $iTunesSpy->getTrackInfoEx($track->id, '', '', $schema);
			}
			echo $Out;
		} else {
			_e('There are no tracks saved in the database!', 'wp-itunesspy');
		}
	?>
	</ul>
	<!-- end sample 3 -->
	
	<!-- sample 4 - get the 5 most played tracks for this year -->
	<h2>get the 5 most played tracks for this year</h2>
	<ul>
	<?php
		$Out = ''; //Clear the variable
		$tracks = $iTunesSpy->getMostPlayedTracks(5, 'year');
		if ($tracks) {
			foreach ($tracks as $track) {					
				$Out .= '<li>';
				
				$schema = '';  //Clear the variable
				$schema .= '%art%';
				$schema .= '<ul>';
				$schema .= '<li>title: %title%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>artist: %artist%</li>';
				$schema .= '<li>count: %count%</li>';
				
				$schema .= '</ul>';
				$schema .= '</li>';
				
				$Out .= $iTunesSpy->getTrackInfoEx($track->id, '', '', $schema);
			}
			echo $Out;
		} else {
			_e('There are no tracks saved in the database!', 'wp-itunesspy');
		}
	?>
	</ul>
	<!-- end sample 4 -->
	
	<?php
		}
	?>
	
	</div>
<?php
	if ($its_debug_mode == true) {
?>
	<div class="wrap">
		<h2>Debug</h2>
		<p><?php wp_iTunesSpy_trace_output(); ?></p>
	</div>
<?php
	}
?>
	<div id="footer">
		<p><a href="http://www.crea-doo.at/itunesspy/">iTunesSpy</a> <?= ($its_version); ?></p>
	</div>
</body>
</html>