<?php
require_once(ABSPATH . 'wp-admin/admin.php');

global $user_level;

if ($user_level > 7) {
	wp_iTunesSpy_setdefaults();
} else {
?>
	<div class="wrap">
	  <p>Since you&#8217;re a newcomer, you&#8217;ll have to wait for an admin to raise your level to 8, in order to be authorized to edit the iTunesSpy settings.<br />
		You can also <a href="mailto:<?php echo $admin_email ?>?subject=Blog posting permission">e-mail the admin</a> to ask for a promotion.<br />
		When you&#8217;re promoted, just reload this page to edit the iTunesSpy options.</p>
	</div>
<?php
}
// ------------------------------------------------
function wp_iTunesSpy_setdefaults(){
	if (get_option('itunesspy_authcode') == '') {
		update_option('itunesspy_authcode', 'some-access-key');
	}
	if (get_option('itunesspy_amazonfeedlocale') == '') {
		update_option('itunesspy_amazonfeedlocale', 'us');
	}
	if (get_option('itunesspy_amazonalbumfix') == '') {
		update_option('itunesspy_amazonalbumfix', 'false');
	}
	if (get_option('itunesspy_input_mode') == '') {
		update_option('itunesspy_input_mode', 'get');
	}
	if (get_option('itunesspy_input_option') == '') {
		update_option('itunesspy_input_option', 'fopen');
	}
	if (get_option('itunesspy_maxtracks') == '') {
		update_option('itunesspy_maxtracks', '100');
	}
	if (get_option('itunesspy_autoupdate') == '') {
		update_option('itunesspy_autoupdate', '0');
	}
}
// ------------------------------------------------
?>