<?php
$iTunesSpy_Inserter = new wp_iTunesSpy_Inserter();

if (get_option('itunesspy_input_mode') == 'post') {
	$itunesspy = $_POST['itunesspy'];
	$auth = $_POST['auth'];
	$title = $_POST['title'];
	$artist = $_POST['artist'];
	$album = $_POST['album'];
	$composer = $_POST['composer'];
	$genre = $_POST['genre'];
	$year = $_POST['year'];
	$time = $_POST['time'];
	$count = $_POST['count'];
	$file = $_POST['file'];
	$bitrate = $_POST['bitrate'];
	$rating = $_POST['rating'];
} else {
	$itunesspy = $_GET['itunesspy'];
	$auth = $_GET['auth'];
	$title = $_GET['title'];
	$artist = $_GET['artist'];
	$album = $_GET['album'];
	$composer = $_GET['composer'];
	$genre = $_GET['genre'];
	$year = $_GET['year'];
	$time = $_GET['time'];
	$count = $_GET['count'];
	$file = $_GET['file'];
	$bitrate = $_GET['bitrate'];
	$rating = $_GET['rating'];
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>iTunesSpy (debug info)</title>
    <style type="text/css">
		<!--
		@import url("<?php echo($its_pages_folder); ?>style.css");
		-->
    </style>
</head>
<body>
	<div id="head">
		<h1>iTunesSpy <span>(debug info)</span></h1>
	</div>
	<div class="wrap">
	<h2>given arguments</h2>
	<table width="100%" cellspacing="2" cellpadding="5" class="editform">
		<tr>
			<th width="33%" valign="center">Authorization</th>
			<td width="15px">'<?php 
			if ($iTunesSpy_Inserter->authcheck($auth) == true) {
				echo (htmlentities($auth) . '\' - accepted');
			} else {
				echo (htmlentities($auth) . '\' - not accepted');
			}
			?></td>
	  	</tr>
		<tr>
			<th width="33%" valign="center">Title</th>
			<td width="15px">'<?= htmlentities($title); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Artist</th>
			<td width="15px">'<?= htmlentities($artist); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Album</th>
			<td width="15px">'<?= htmlentities($album); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Composer</th>
			<td width="15px">'<?= htmlentities($composer); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Genre</th>
			<td width="15px">'<?= htmlentities($genre); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Year</th>
			<td width="15px">'<?= htmlentities($year); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Time</th>
			<td width="15px">'<?= htmlentities($time); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Count</th>
			<td width="15px">'<?= htmlentities($count); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">File</th>
			<td width="15px">'<?= htmlentities($file); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Bitrate</th>
			<td width="15px">'<?= htmlentities($bitrate); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Rating</th>
			<td width="15px">'<?= htmlentities($rating); ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center"></th>
			<?php
				$debug_mode = ($its_debug_mode == true) ? "true" : "false";
				$insert_test_link = get_option('home') . "/?itunesspy=pages&itunesspy_page=input-test.php&auth=$auth&title=$title&artist=$artist&album=$album&composer=$composer&genre=$genre&year=$year&time=$time&count=$count&file=$file&bitrate=$bitrate&rating=$rating&debug=$debug_mode";
			?>
			<td width="15px"><a href="<?= $insert_test_link; ?>">Change input...</a></td>
	  	</tr>
	</table>
	
<?php
if ($title && $iTunesSpy_Inserter->authcheck($auth) == true) {
?>
	<h2 class="ok">Song Inserted</h2>
	<table width="100%" cellspacing="2" cellpadding="5" class="editform">
	  	<tr>
			<td width="15px">The song '<?= htmlentities($title); ?>' has been entered into the database successfully.</td>
	  	</tr>
	</table>
<?php
} elseif ($iTunesSpy_Inserter->authcheck($auth) == false) {
?>
	<h2 class="alert">Authorization Error</h2>
	<table width="100%" cellspacing="2" cellpadding="5" class="editform">
	  	<tr>
			<td width="15px">The song could not be inserted into the database because the authorization code was invalid.</td>
	  	</tr>
	</table>
<?php
} elseif ($title == "" && $artist == "") {
?>
	<h2 class="alert">Error: argument "title" and "artist" empty</h2>
	<table width="100%" cellspacing="2" cellpadding="5" class="editform">
	  	<tr>
			<td width="15px">The song could not be inserted into the database because there was not enough information passed to be inserted.</td>
	  	</tr>
	</table>
<?php
} else {
?>
	<h2 class="alert">Error: argument "title" missing</h2>
	<table width="100%" cellspacing="2" cellpadding="5" class="editform">
	  	<tr>
			<td width="15px">The song could not be inserted into the database because there was not enough information passed to be inserted.</td>
	  	</tr>
	</table>
<?php
}
?>
	<h2>amazon query response</h2>
<?
	if ($iTunesSpy_Inserter->authcheck($auth) == true) {	
		$file = getAmazonQueryUrl(get_option('itunesspy_amazonkey'), get_option('itunesspy_amazonfeedlocale'), $title, $album, $artist, $composer);
		wp_iTunesSpy_trace("use url: " . $file);
		
		$content = '';
		if (curl_use() == true) {
			wp_iTunesSpy_trace("use cUrl");
			
			$content = curl_fopen($file);
		} else {
			wp_iTunesSpy_trace("check for fopen/HTTPRequest");
			
			$handle = fopen($file, "r");
			if ($handle) {
				$content = fread($handle, 200000);
				
				wp_iTunesSpy_trace("use fopen");
			} else {
				$r = new wp_iTunesSpy_HTTPRequest($file);
				$content = $r->DownloadToString();
				
				wp_iTunesSpy_trace("use HTTPRequest");
			}
			fclose($handle);
		}
		
		if ($content) {
			wp_iTunesSpy_trace("download succeded...");
			
			$data = str_replace("<","&lt;",$content);
			$data = str_replace(">","&gt;",$data);
			wp_iTunesSpy_trace("download content:<br /><small>" . $data . "</small>");
			
			$content = ereg_replace("<?xml.*\">.*<ProductInfo.*\">","",$content);
			
			$items = explode("</Details>",$content);
			$maxlinks2 = "1";
		
			for ($i = 0; $i < $maxlinks2; $i++) {
				// ------------------------------------------------
				// images
				$artSmall = ereg_replace(".*<ImageUrlSmall>","",$items[$i]);
				$artSmall = ereg_replace("</ImageUrlSmall>.*","",$artSmall);
				$artMedium = ereg_replace(".*<ImageUrlMedium>","",$items[$i]);
				$artMedium = ereg_replace("</ImageUrlMedium>.*","",$artMedium);
				$artLarge = ereg_replace(".*<ImageUrlLarge>","",$items[$i]);
				$artLarge = ereg_replace("</ImageUrlLarge>.*","",$artLarge);
				
				$errorMsg = ereg_replace(".*<ErrorMsg>","",$items[$i]);
				$errorMsg = ereg_replace("</ErrorMsg>.*","",$errorMsg);
				if ($errorMsg == 'There are no exact matches for the search.' || $errorMsg == 'We encountered an error while processing your request. Please make sure that you are using a valid developer token and that you have registered for this service. For more information, please visit http://www.amazon.com/webservices') {
					$insertError = true;
				} else {
					$insertError = false;
				}
				
				if ($insertError == false) {
					if (curl_use() == true) {
						$small_size = curl_getsize($artSmall);
					} else {
						$small_size = getimagesize_ex($artSmall);
					}
					if($small_size[0] > 2) { $small_okay = "yes"; } else { $small_okay = "no"; }
					
					if (curl_use() == true) {
						$medium_size = curl_getsize($artMedium);
					} else {
						$medium_size = getimagesize_ex($artMedium);
					}
					if($medium_size[0] > 2) { $medium_okay = "yes"; } else { $medium_okay = "no"; }
					
					if (curl_use() == true) {
						$large_size = curl_getsize($artLarge);
					} else {
						$large_size = getimagesize_ex($artLarge);
					}
					if($large_size[0] > 2) { $large_okay = "yes"; } else { $large_okay = "no"; }
				}
				// ------------------------------------------------
				// amazon info
				$url = ereg_replace(".*<Details url=\"","",$items[$i]);
				$url = ereg_replace("\"\>.*","",$url);
				$asin = ereg_replace(".*<Asin>","",$items[$i]);
				$asin = ereg_replace("</Asin>.*","",$asin);
				$product_name = ereg_replace(".*<ProductName>","",$items[$i]);
				$product_name = ereg_replace("</ProductName>.*","",$product_name);
				$release_date = ereg_replace(".*<ReleaseDate>","",$items[$i]);
				$release_date = ereg_replace("</ReleaseDate>.*","",$release_date);
				$manufacturer = ereg_replace(".*<Manufacturer>","",$items[$i]);
				$manufacturer = ereg_replace("</Manufacturer>.*","",$manufacturer);
				
				if (! $asin == "") {
					switch($locale) {
					case 'jp':
						$link = "http://www.amazon.co.jp/exec/obidos/ASIN/" . $asin . "/";
						break;
					case 'de':
						$link = "http://www.amazon.de/exec/obidos/ASIN/" . $asin . "/";
						break;
					case 'fr':
						$link = "http://www.amazon.fr/exec/obidos/ASIN/" . $asin . "/";
						break;
					case 'uk':
						$link = "http://www.amazon.co.uk/exec/obidos/ASIN/" . $asin . "/";
						break;
					case 'us':
						$link = "http://www.amazon.com/exec/obidos/ASIN/" . $asin . "/";
						break;
					case 'ca':
						$link = "http://www.amazon.ca/exec/obidos/ASIN/" . $asin . "/";
						break;
					default:
						$link = "http://www.amazon.com/exec/obidos/ASIN/" . $asin . "/";
						break;
					}
					
					$partner_id = get_option('itunesspy_amazonpartnerid');
					if (! $partner_id == '') {
						$link .= $partner_id . '/';
					}
				} else {
					$link = $url;
				}
				// ------------------------------------------------
			}
		} else {
			wp_iTunesSpy_trace("download failed...", true);
			
			$errorMsg = "Couln't connect to the amazon server and load the desired info!";
			$insertError = true;
		}
	} else {
		wp_iTunesSpy_trace("Authorization error", true);
		
		$errorMsg = "Authorization error!";
		$insertError = true;
	}	
?>
	<table width="100%" cellspacing="2" cellpadding="5" class="editform">
<?php
	if ($insertError == false) {
?>
	  	<tr>
			<th width="33%" valign="center">Query url</th>
			<td width="15px"><a href="<?= $file ?>">&raquo; link</a></td>
	  	</tr>
	  	<tr>
			<th width="33%"></th>
			<td width="15px"></td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">artSmall</th>
			<td width="15px">'<a href="<?= $artSmall ?>"><?= $artSmall ?></a>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">artSmall okay</th>
			<td width="15px"><?= $small_okay ?></td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">artMedium</th>
			<td width="15px">'<a href="<?= $artMedium ?>"><?= $artMedium ?></a>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">artMedium okay</th>
			<td width="15px"><?= $small_okay ?></td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">artLarge</th>
			<td width="15px">'<a href="<?= $artLarge ?>"><?= $artLarge ?></a>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">artLarge okay</th>
			<td width="15px"><?= $large_okay ?></td>
	  	</tr>
	  	<tr>
			<th width="33%"></th>
			<td width="15px"></td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">url</th>
			<td width="15px"><a href="<?= $url ?>">&raquo; link</a></td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">asin</th>
			<td width="15px">'<?= $asin ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Product Name</th>
			<td width="15px">'<?= $product_name ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Release Date</th>
			<td width="15px">'<?= $release_date ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Manufacturer</th>
			<td width="15px">'<?= $manufacturer ?>'</td>
	  	</tr>
	  	<tr>
			<th width="33%" valign="center">Link</th>
			<td width="15px">'<a href="<?= $link ?>"><?= $link ?></a>'</td>
	  	</tr>
<?php
	} else {
?>
	  	<tr>
			<td width="15px" colspan="2">An error occured while processing your request!</td>
	  	</tr>
	  	<tr>
			<td width="15px" colspan="2"><strong>Error message:</strong> <?= $errorMsg ?></td>
	  	</tr>
<?php
	}
?>
	</table>
	</div>
<?php
	if ($its_debug_mode == true) {
?>
	<div class="wrap">
		<h2>Debug</h2>
		<p><?php wp_iTunesSpy_trace_output(); ?></p>
	</div>
<?php
	}
?>
	<div id="footer">
		<p><a href="http://www.crea-doo.at/itunesspy/">iTunesSpy</a> <?= ($its_version); ?></p>
	</div>
</body>
</html>